/* This is ColorControl.h
	 1999, 2000, 2001 By Kyle Hammond
	CodeBlazer Technologies, Ltd.

	Usage:
		1)	Call InitColorControl before creating any color control windows.
		2)	Call CreateWindow or CreateWindowEx with the call name WC_COLORCONTROL.
			a) I generally specify styles of WS_CHILD | WS_VISIBLE | WS_BORDER
			b) If you want the user to be able to change colors specify one of KCCS_CHOOSEONSINGLE or
					KCCS_CHOOSEONDOUBLE.

	Possible Future Enhancements:
		1) Drag and drop of colors.  I'm still not too familiar with Win32 Drag & Drop so this may not be possible
		2) Setting and retrieving the custom colors.
		3) More notifications sent to parent window.
*/

#ifdef _WIN32
	#define WC_COLORCONTROLA		"ColorControl"
	#define WC_COLORCONTROLW		L"ColorControl"

	#ifdef UNICODE
		#define WC_COLORCONTROL	WC_COLORCONTROLW
	#else
		#define WC_COLORCONTROL	WC_COLORCONTROLA
	#endif

#else
	#define WC_COLORCONTROL		"ColorControl"
#endif

/* Color Control styles */
#define KCCS_SELECT			0x0002			/* Can select this - sends notification */
#define KCCS_AUTOSELECT		0x0004			/* Can select this and state is changed automatically */
#define KCCS_AUTORADIOSELECT	0x0008			/* Can select this and works with it's group */
#define KCCS_CHOOSEONSINGLE	0x0010			/* Can change color by single-clicking - overrides SELECT and AUTOSELECT */
#define KCCS_CHOOSEONDOUBLE	0x0020			/* Can change color by double-clicking */
/*#define KCCS_DRAG				0x0040			/* Can drag color to somewhere else */
/*#define KCCS_DROP				0x0080			/* Can drop color here */
/*#define KCCS_FULLDRAG			KCCS_DRAG | KCCS_DROP		*/

/* Messages to Color Controls */
#define KCCM_FIRST				0x0500

#define KCCM_SETCOLOR			KCCM_FIRST		/* COLORREF in WParam; LParam ignored */
#define KCCM_GETCOLOR			KCCM_FIRST + 1	/* returns COLORREF value; WParam and LParam ignored */
#define KCCM_SETCHECK			BM_SETCHECK		/* true or false in WParam; LParam ignored */
#define KCCM_GETCHECK			BM_GETCHECK		/* returns BST_CHECKED or BST_UNCHECKED; WParam and LParam ignored */

extern DWORD InitColorControl( HINSTANCE inOwningInstance );
